<!doctype html>
<html>
<head>
<meta charset="utf-8">
<META HTTP-EQUIV="Refresh" CONTENT="3; URL=ayarlar.php">
<title>Etkinlik Kayıt</title>
</head>
    <?php include 'baglanti.php';?>

<body>

<?php
 $mevcutparola = $_POST['parola'];
 $parola =       $_POST['yeniparola'];
 $veligirisi =  $_POST['veligirisi'];
 $veliistatistik= $_POST['veliistatistik'];
 $performanssayfasi =  $_POST['performanssayfasi'];
 $bilgigoruntule =  $_POST['bilgigoruntule'];
 $ogrencilistesi =  $_POST['ogrencilistesi'];
 $veligorusmelistesi =  $_POST['veligorusmelistesi'];
 $ogrencidurumu =  $_POST['ogrencidurumu'];
 
//parola doğrulama başlangıç    
    $sorgu = $conn->query("SELECT * FROM ayarlar WHERE id='1' "); 
    while ($sonuc = $sorgu->fetch_assoc()) { 
        $veritabanıparola  = $sonuc['deger'];
    if ($mevcutparola==$veritabanıparola){
//parola bitiş 
 
 
//parola güncelleme
if($parola=="") {echo "Parola güncelleme yapılmadı";}else{//eğer yeni bir parola değer girilmişse
$sqlekle="UPDATE ayarlar SET deger='$parola' WHERE id='1'";
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Parola güncelleme sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Parola başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//parola güncelleme bitiş



//Performans sayfası açma kapatma
if($performanssayfasi=="") {echo "Performans açma kapama güncellemesi yapılmadı";}else{//eğer yeni bir parola değer girilmişse
$sqlekle="UPDATE ayarlar SET deger='$performanssayfasi' WHERE id='5'";//Veli girişi güncelleme sistem kapatma
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Performans sayfası açma/kapatma/şifreleme sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Performans sayfası açma/kapatma/şifreleme işlemi başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//Performans sayfası açma kapatma



//Sistem girişi açma kapatma
if($veligirisi=="") {echo "Sistem açma kapama güncellemesi yapılmadı";}else{//eğer yeni bir parola değer girilmişse
$sqlekle="UPDATE ayarlar SET deger='$veligirisi' WHERE id='3'";//Veli girişi güncelleme sistem kapatma
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Sistem açma/kapatma sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Sistem açma/kapatma işlemi başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//Sistem girişi açma kapatma



//Veli istatistik sayfası girişi açma kapatma
if($veliistatistik=="") {echo "Veli istatistikleri açma kapama güncellemesi yapılmadı";}else{//eğer yeni bir parola girilmişse
$sqlekle="UPDATE ayarlar SET deger='$veliistatistik' WHERE id='6'";//Veli girişi güncelleme sistem kapatma
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Veli istatistikleri açma/kapatma/şifreleme sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Veli istatistikleri açma kapatma şifreleme işlemi başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//Veli istatistik sayfası girişi açma kapatma



//Bilgi görüntüleme sayfası açma kapatma şifreleme
if($bilgigoruntule=="") {echo "Bilgi görüntüleme sayfası açma kapatma şifreleme güncellemesi yapılmadı";}else{//eğer yeni bir değer girilmişse
$sqlekle="UPDATE ayarlar SET deger='$bilgigoruntule' WHERE id='7'";//Veli girişi güncelleme sistem kapatma
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Bilgi görüntüleme sayfası açma kapatma şifreleme sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Bilgi görüntüleme sayfası açma kapatma şifreleme işlemi başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//Bilgi görüntüleme sayfası açma kapatma şifreleme

//Öğrenci listesi sayfası açma kapatma şifreleme
if($ogrencilistesi=="") {echo "Öğrenci listesi sayfası açma kapatma şifreleme güncellemesi yapılmadı";}else{//eğer yeni bir değer girilmişse
$sqlekle="UPDATE ayarlar SET deger='$ogrencilistesi' WHERE id='8'";//Öğrenci listesi açma kapatma şifreleme
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Öğrenci listesi açma kapatma şifreleme sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Öğrenci listesi açma kapatma şifreleme işlemi başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//Öğrenci listesi sayfası açma kapatma şifreleme


//Veli görüşme listesi sayfası açma kapatma şifreleme
if($veligorusmelistesi=="") {echo "Veli görüşme listesi sayfası açma kapatma şifreleme güncellemesi yapılmadı";}else{//eğer yeni bir değer girilmişse
$sqlekle="UPDATE ayarlar SET deger='$veligorusmelistesi' WHERE id='9'";//Veli görüşme listesi açma kapatma şifreleme
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Veli görüşme listesi açma kapatma şifreleme sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Veli görüşme listesi açma kapatma şifreleme işlemi başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//Veli görüşme listesi sayfası açma kapatma şifreleme


//Öğrenci durumu sayfası açma kapatma şifreleme
if($ogrencidurumu=="") {echo "Öğrenci durumu  sayfası açma kapatma şifreleme güncellemesi yapılmadı";}else{//eğer yeni bir değer girilmişse
$sqlekle="UPDATE ayarlar SET deger='$ogrencidurumu' WHERE id='10'";//Öğrenci durumu açma kapatma şifreleme
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Öğrenci durumu sayfası açma kapatma şifreleme sırasında bir hata oluştu, lütfen destek talebi oluşturun!";}
else {
echo "<center><h1>Öğrenci durumu sayfası açma kapatma şifreleme işlemi başarılı bir şekilde güncellenmiştir.</h1></center>";
}}
//Öğrenci durumu sayfası açma kapatma şifreleme


} else {//parola hatalıysa
 echo "Girdiğiniz yönetici parolası hatalı, kayıt güncelleme başarısız.";
}
}

?>

</body>
</html>
